import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/vigneswaran009/02901b80f05d78486510f4de67483d63/raw/64e7999b15ded3d8b51eea572af5f80216ed757f/salem_new_map.json';

export const useData = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topology => {
     const { countries } = topology.objects;
   
    setData({
      countries: feature(topology, countries),
      interiors: mesh(topology, countries, (a,b)=> a !== b  )
    }); 
         console.log(countries.geometries[0].properties.descriptio);
    })
  }, []);
  
  return data;
};